## gummi 0.6.6

=== src/Makefile ===
# Releases use autotools, this makefile is for development purposes. 

TARGET=gummi

OBJS = main.o gui/gui-main.o syncTeX/synctex_parser.o syncTeX/synctex_parser_utils.o gui/gui-prefs.o gui/gui-menu.o gui/gui-search.o gui/gui-import.o gui/gui-preview.o gui/gui-tabmanager.o gui/gui-project.o gui/gui-snippets.o gui/gui-infoscreen.o compile/texlive.o compile/rubber.o compile/latexmk.o motion.o external.o latex.o editor.o utils.o configfile.o iofunctions.o environment.o project.o importer.o tabmanager.o template.o biblio.o snippets.o signals.o 


CFLAGS=-g -Wall -export-dynamic -I. `pkg-config --cflags --libs gtk+-2.0 gthread-2.0 gtksourceview-2.0 cairo poppler-glib gtkspell-2.0 zlib` -lm -DUSE_GTKSPELL -DGUMMI_LOCALES="\"/usr/share/locale\"" -DGUMMI_DATA="\"$$PWD/../data\"" -DGUMMI_LIBS="\"$$PWD/../lib\""

gummi: $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(CFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

## gummi 0.5.8

=== debian/changelog ===
gummi (0.5.8-1) unstable; urgency=low

  * New upstream release.
  * Removed spurious build-dep on libpoppler-dev (Closes: #618766).

 -- Daniel Stender <daniel@danielstender.com>  Mon, 21 Mar 2011 14:50:50 +0100

gummi (0.5.5-1) unstable; urgency=low

  * Initial release (closes: #557430).

 -- Daniel Stender <daniel@danielstender.com>  Fri, 10 Dec 2010 21:02:00 +0100

=== debian/control ===
Source: gummi
Section: tex
Priority: optional
Maintainer: Daniel Stender <daniel@danielstender.com>
Build-Depends: debhelper (>= 7.0.50~), intltool, libglib2.0-dev (>= 2.16.0), libgtk2.0-dev (>= 2.16.0), libgtksourceview2.0-dev (>= 2.2.1), libpoppler-glib-dev, libgtkspell-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/collab-maint/gummi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gummi.git
Homepage: http://dev.midnightcoding.org/redmine/projects/gummi

Package: gummi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-latex-base
Recommends: texlive-xetex
Description: GTK+ based LaTeX editor with live preview
 Gummi is a LaTeX editor based on GTK+.
 The basic features are:
  - Live preview pane for the compiled document,
  - BibTeX integration,
  - Helpers for tables and matrices,
  - Exporting to PDF,
  - Error checking,
  - Syntax highlighting,
  - Spellchecking,
  - Document statistics,
  - Persistent configuration.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export LDFLAGS=-Wl,--as-needed

override_dh_auto_test:

%:
	dh $@

## gummi 0.6.1

=== debian/changelog ===
gummi (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Changes of debian/control:
    + Wrapped-and-sorted.
    + Bumped standards-version to 3.9.2 (no changed needed).
    + Bumped GTK and GLIB build-deps to 2.20 (as needed by upstream).
    + Moved dep on texlive-latex-base moved to recommends (Closes: #647774).
    + Added dep on texlive-extra-utils to recommends (LP: #874045).
    + Changed Homepage URL.
  * Changes of debian/copyright:
    + Changed to meet DEP-5, specification bumped to rev. 202.
    + Changed Source URL.
    + Expanded copyrights to 2011.
    + Upstream copyright holders now collected as Gummi-Dev Team.

 -- Daniel Stender <daniel@danielstender.com>  Fri, 02 Dec 2011 10:09:55 +0100

=== debian/control ===
Source: gummi
Section: tex
Priority: optional
Maintainer: Daniel Stender <daniel@danielstender.com>
Build-Depends:
 debhelper (>= 7.0.50~),
 intltool,
 libglib2.0-dev (>= 2.20),
 libgtk2.0-dev (>= 2.20),
 libgtksourceview2.0-dev (>= 2.2.1),
 libgtkspell-dev,
 libpoppler-glib-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/gummi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gummi.git
Homepage: http://gummi.midnightcoding.org/

Package: gummi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: texlive-latex-base, texlive-extra-utils, texlive-xetex
Description: GTK+ based LaTeX editor with live preview
 Gummi is a LaTeX editor based on GTK+.
 The basic features are:
  - Live preview pane for the compiled document,
  - BibTeX integration,
  - Helpers for tables and matrices,
  - Exporting to PDF,
  - Error checking,
  - Syntax highlighting,
  - Spellchecking,
  - Document statistics,
  - Persistent configuration.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export LDFLAGS=-Wl,--as-needed

override_dh_auto_test:

%:
	dh $@

=== debian/watch ===
version=3
http://dev.midnightcoding.org/redmine/projects/gummi/files /redmine/attachments/download/(?:\d+)/gummi-(.+)\.tar\.gz

## gummi 0.6.3

=== debian/changelog ===
gummi (0.6.3-1.2+deb7u2) oldstable; urgency=medium

  * no-predictable-tmpfiles.patch: use upstream fix (Closes: #812577).

 -- Daniel Stender <debian@danielstender.com>  Wed, 27 Jan 2016 15:00:39 +0100

gummi (0.6.3-1.2+deb7u1) oldstable; urgency=medium

  * Added no-predictable-tmpfiles.patch, fix of CVE 2015-7758 (Closes: #756432).

 -- Daniel Stender <debian@danielstender.com>  Mon, 30 Nov 2015 14:06:45 +0100

gummi (0.6.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "gummi leaks file descriptors leading to a crash if the fd limit
    is reached": add patch fix_fd_leak.patch from Justus Winter:
    close file descriptors.
    (Closes: #688112)

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Sep 2012 17:27:44 +0200

gummi (0.6.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Gummi should depend on enchant": add it to Depends.
    (Closes: #669625)

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Sep 2012 15:00:37 +0200

gummi (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * Added libgthread-2.0_link.patch (from 0.6.1-1ubuntu1):
    + debian/control: added build-dep for dh-autoreconf.
    + debian/rules: added autoreconf to dh plus override.
  * debian/rules: added override for dh_auto_clean.
  * Bumped standards version to 3.9.3 (no changes needed).
  * Changed watch file.
  * Changes of debian/copyright:
    + Changed DEP-5 URI.
    + Expanded copyrights to 2012.

 -- Daniel Stender <daniel@danielstender.com>  Fri, 30 Mar 2012 09:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Daniel Stender <daniel@danielstender.com>
 Build-Depends:
  debhelper (>= 7.0.50~),
+ dh-autoreconf,
  intltool,
  libglib2.0-dev (>= 2.20),
  libgtk2.0-dev (>= 2.20),
  libgtksourceview2.0-dev (>= 2.2.1),
  libgtkspell-dev,
  libpoppler-glib-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/gummi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gummi.git
 Homepage: http://gummi.midnightcoding.org/
 
 Package: gummi
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, enchant
 Recommends: texlive-latex-base, texlive-extra-utils, texlive-xetex
 Description: GTK+ based LaTeX editor with live preview
  Gummi is a LaTeX editor based on GTK+.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export LDFLAGS=-Wl,--as-needed

%:
	dh $@ --with autoreconf

#override_dh_auto_clean:
#	rm -Rf data/misc/gummi.desktop
#	dh_auto_clean

override_dh_auto_test:

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gummi 0.6.5

=== debian/changelog ===
gummi (0.6.5-3) unstable; urgency=low

  * Fix "FTBFS: automake errors":
    add patch automake-subdirs.patch:
    pass subdir-objects to AM_INIT_AUTOMAKE.
    (Closes: #725534) Thanks to Gregor Herrmann.
  * deb/control:
    + changed maintainer email address.
    + bumped standards to 3.9.5 (no changed needed).
  * deb/copyright:
    + extended copyrights to 2014.
    + changed email address for Daniel Stender.
  * added gummi.desktop.patch.

 -- Daniel Stender <debian@danielstender.com>  Sun, 09 Feb 2014 18:27:00 +0100

gummi (0.6.5-2) unstable; urgency=low

  * deb/control:
    * changed VCS fields.

 -- Daniel Stender <daniel@danielstender.com>  Sat, 01 Jun 2013 18:54:01 +0200

gummi (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.4 (no changes needed).
  * deb/copyright: extended copyrights to 2013.
  * deb/rules:
    + added override for dh_installchangelogs.
    + removed override for dh_auto_test.
  * Bumped debhelper level to 9 (deb/control and deb/compat).
  * deb/patches:
    + removed fix_fd_leak_path (improved by upstream).
    + changed libgthread-2.0_link.patch.

 -- Daniel Stender <daniel@danielstender.com>  Sat, 11 May 2013 09:04:29 +0200

=== debian/control ===
Source: gummi
Section: tex
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 intltool,
 libglib2.0-dev (>= 2.20),
 libgtk2.0-dev (>= 2.20),
 libgtksourceview2.0-dev (>= 2.2.1),
 libgtkspell-dev,
 libpoppler-glib-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/gummi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gummi.git
Homepage: http://gummi.midnightcoding.org/

Package: gummi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: texlive-extra-utils, texlive-latex-base, texlive-xetex
Description: GTK+ based LaTeX editor with live preview
 Gummi is a LaTeX editor based on GTK+.
 The basic features are:
  - Live preview pane for the compiled document,
  - BibTeX integration,
  - Helpers for tables and matrices,
  - Exporting to PDF,
  - Error checking,
  - Syntax highlighting,
  - Spellchecking,
  - Document statistics,
  - Persistent configuration.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
http://dev.midnightcoding.org/projects/gummi/files /attachments/download/(?:\d+)/gummi-(.+)\.tar\.gz

## gummi 0.6.6

=== debian/changelog ===
gummi (0.6.6-1) unstable; urgency=medium

  * New upstream release (Closes: #812577).
  * deb/copyright:
    + installed Files-Excluded (stripping src/gummi, src/syncTeX).
    + expanded copyright spans.
  * Updated use-system-synctex.patch.
  * Dropped:
    + no-predictable-tmpfiles.patch (CVE-2015-7758 solved by upstream).
    + gummi.desktop.patch (applied upstream).
    + upgrade_datadir.patch (applied upstream).
    + add-missing-chooser-title.patch (originated from upstream).
    + libgthread-2.0_link.patch (applied upstream).
    + automake-subdirs.patch (applied upstream, src/Makefile.am).

 -- Daniel Stender <debian@danielstender.com>  Wed, 27 Jan 2016 21:18:48 +0100

gummi (0.6.5-7) unstable; urgency=medium

  * Added add-missing-chooser-title.patch (Closes: #785605).
  * Added upgrade_datadir.patch (Closes: #808791).

 -- Daniel Stender <debian@danielstender.com>  Mon, 28 Dec 2015 18:50:39 +0100

gummi (0.6.5-6) unstable; urgency=medium

  * Added no-predictable-tmpfiles.patch, fix of CVE-2015-7758 (Closes: #756432).

 -- Daniel Stender <debian@danielstender.com>  Sun, 29 Nov 2015 01:35:11 +0100

gummi (0.6.5-5) unstable; urgency=medium

  * deb/copyright:
    + changed "MIT" to "Expat".
    + put deb/* under the same license as upstream.
    + updated Source.
  * deb/gbp.conf: updated a section header (import-orig).
  * Dropped debian/menu because of CTTE #74573 (the binary ships a desktop
    file).
  * Updated patch headers.

 -- Daniel Stender <debian@danielstender.com>  Wed, 28 Oct 2015 22:10:44 +0100

gummi (0.6.5-4) unstable; urgency=low

  * Use synctex parser provided by libsynctex-dev (Closes: #753827):
    + added use-system-synctex.patch (thanks to Sebastian Ramacher).
    + added libsyntex-dev to b-ds.
  * deb/changelog: fixed typos.
  * deb/control:
    + Updated Maintainer and Uploaders (package moved to Debian Science).
    + bumped standards to 3.9.6 (no changes needed).
    + updated Vcs-Git and -Browser (Debian Science),
      and Homepage (project moved to Github).
  * deb/copyright: updated.
  * deb/rules: removed override for dh_installchangelogs (obsolete).
  * deb/watch: updated (moved to Github).
  * added deb/gbp.conf, deb/source/local-options.
  * wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Wed, 29 Apr 2015 07:14:01 +0200

=== debian/control ===
Source: gummi
Section: tex
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 intltool,
 libglib2.0-dev (>= 2.20),
 libgtk2.0-dev (>= 2.20),
 libgtksourceview2.0-dev (>= 2.2.1),
 libgtkspell-dev,
 libpoppler-glib-dev,
 libsynctex-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gummi.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/gummi.git
Homepage: https://github.com/alexandervdm/gummi

Package: gummi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 texlive-extra-utils,
 texlive-latex-base,
 texlive-xetex
Description: GTK+ based LaTeX editor with live preview
 Gummi is a LaTeX editor based on GTK+.
 The basic features are:
  - Live preview pane for the compiled document,
  - BibTeX integration,
  - Helpers for tables and matrices,
  - Exporting to PDF,
  - Error checking,
  - Syntax highlighting,
  - Spellchecking,
  - Document statistics,
  - Persistent configuration.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,3 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
-

=== debian/watch ===
version=3
https://github.com/alexandervdm/gummi/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## gummi 0.7.999

=== src/Makefile ===
############################################################################
# NOTE: Releases use autotools, this makefile is for development purposes. #
############################################################################

TARGET=gummi

OBJS = main.o gui/gui-main.o gui/gui-prefs.o gui/gui-menu.o gui/gui-search.o gui/gui-import.o gui/gui-preview.o gui/gui-tabmanager.o gui/gui-project.o gui/gui-snippets.o gui/gui-infoscreen.o compile/texlive.o compile/rubber.o compile/latexmk.o motion.o external.o latex.o editor.o utils.o configfile.o iofunctions.o environment.o project.o importer.o tabmanager.o template.o biblio.o snippets.o signals.o


CFLAGS=-g -Wall  -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE -export-dynamic -I. `pkg-config --cflags --libs gtk+-3.0 gthread-2.0 gtksourceview-3.0 cairo poppler-glib gtkspell3-3.0 synctex zlib` -lm -DUSE_SYNCTEX1 -DUSE_GTKSPELL -DGUMMI_LOCALES="\"/usr/share/locale\"" -DGUMMI_DATA="\"$$PWD/../data\"" -DGUMMI_LIBS="\"$$PWD/../lib\""

gummi: $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(CFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

=== debian/changelog ===
gummi (0.7.999-1) unstable; urgency=medium

  * New upstream release.
  * Remove all patches: applied upstream.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Build-depend on debhelper-compat = 12 instead of debhelper >= 11.
    + Adjust Build-dependencies for new upstream release. Among others,
      gummi was ported to GTK3 and now Build-Depends on gtksourceview3
      instead of gtksourceview2 (Closes: #885681).
    + Adjust binary description to match new upstream release.
  * Remove debian/compat, useless because of debhelper-compat.
  * Bump copyright years.
  * Run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 31 Oct 2019 09:43:51 +0100

gummi (0.6.6-5) unstable; urgency=high

  * Fix FTBFS again new libsyntex (Closes: #896566).
    Ack Samuel Thibault for the patch !
  * Bump Standards-Version to 4.1.4.
  * Bump compat to 11. Update debhelper dependency accordingly.
  * Update Vcs-* fields (salsa migration).
  * Bump copyright years.
  * Bump debian/watch to version 4.
  * Remove unnecessary --parallel build option.
  * Remove trailing whitespaces from debian/changelog.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 15 May 2018 21:38:45 -0400

gummi (0.6.6-4) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.
  * Remove dependency on dh-autoreconf (useless because compat=10).
  * Remove --with autoreconf in debian/rules.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 29 Aug 2017 11:50:27 +0200

gummi (0.6.6-3) experimental; urgency=low

  * debian/rules:
    + Enable parallel building (Closes: #820617).
    + Add hardening flags to the build options.
  * Bump compat level to 10, update debhelper dependency accordingly.
  * Bump copyright years in debian/copyright.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 10 Jun 2017 11:28:49 +0200

gummi (0.6.6-2) unstable; urgency=low

  * New Maintainer (Closes: #816502).
  * debian/control:
    + Add Hugo Lefeuvre in the Uploaders field, remove Daniel Stender.
    + Bump Standards-Version to 3.9.8.
    + Use HTTPS protocol in the Vcs-Browser field.
    + Update Vcs-Git to use an encrypted transport protocol.
    + Run wrap-and-sort.
  * debian/copyright:
    + Add a copyright entry for Hugo Lefeuvre;
    + Update Format field to match DEP5 recommandations.

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 20 Jun 2016 21:29:41 +0200

=== debian/control ===
Source: gummi
Section: tex
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper-compat (= 12),
               intltool,
               libglib2.0-dev (>= 2.20),
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libgtkspell3-3-dev,
               libpoppler-glib-dev,
               libsynctex-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/gummi
Vcs-Git: https://salsa.debian.org/science-team/gummi.git
Homepage: https://github.com/alexandervdm/gummi

Package: gummi
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: texlive-extra-utils,
            texlive-latex-base,
            texlive-xetex
Description: simple LaTeX editor with live preview
 Gummi is a LaTeX editor based on GTK3.
 The basic features are:
  - Live preview pane for the compiled document,
  - BibTeX integration,
  - Helpers for tables and matrices,
  - Exporting to PDF,
  - Error checking,
  - Syntax highlighting,
  - Spellchecking,
  - Document statistics,
  - Persistent configuration.

=== debian/watch ===
version=4
https://github.com/alexandervdm/gummi/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## gummi 0.8.1

=== debian/changelog ===
gummi (0.8.1-1ubuntu0.20.04.1) focal; urgency=medium

  * Backport latest upstream version to focal, as 0.7.999 was not meant to be
    used in production and contains multiple critical bugs. (LP: #1872667)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 01 Jun 2020 12:40:04 +0200

gummi (0.8.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.8.1 (Closes: #951634)
  * Add upstream/metadata
  * Add "Rules-Requires-Root:no"
  * Fix control with cme
  * Remove Redundanct Files-Excluded section
    +it is not in the upstream anymore
  * Fix spellings
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 25 Mar 2020 18:27:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: gummi
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Hugo Lefeuvre <hle@debian.org>
 Section: tex
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper-compat (= 12),
                intltool,
-               libglib2.0-dev (>= 2.20),
+               libglib2.0-dev,
                libgtk-3-dev,
                libgtksourceview-3.0-dev,
                libgtkspell3-3-dev,
                libpoppler-glib-dev,
                libsynctex-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/gummi
 Vcs-Git: https://salsa.debian.org/science-team/gummi.git
 Homepage: https://github.com/alexandervdm/gummi
+Rules-Requires-Root: no
 
 Package: gummi
 Architecture: any

## gummi 0.8.3%2Breally0.8.1

=== debian/changelog ===
gummi (0.8.3+really0.8.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to fix typesetter parsing (Closes: #1012150)

 -- Martin Dosch <martin@mdosch.de>  Fri, 05 May 2023 12:36:08 +0000

gummi (0.8.3-1) unstable; urgency=high

  * Team Upload
  * New upstream version 0.8.3 (Closes: #1030293, #1012150)

 -- Martin Dosch <martin@mdosch.de>  Fri, 21 Apr 2023 05:15:00 +0000

## gummi 0.8.3%2Breally0.8.3

=== debian/changelog ===
gummi (0.8.3+really0.8.3-6) unstable; urgency=medium

  * d/patches: Use gtksourceview-4. (Closes: #1110180)

 -- Martin Dosch <martin@mdosch.de>  Mon, 11 Aug 2025 18:57:11 +0000

gummi (0.8.3+really0.8.3-5) unstable; urgency=medium

  * Run wrap-and-sort -ast on debian/.
  * d/control: Build dep on gtksourceview-3 again.
  * d/patches: Remove patch to build against gtksourceview-4.
  * d/control: Bump Standards-Version to 4.7.2 (no change).
  * d/patches: Add patch to build with gcc-15. (Closes: 1096791)

 -- Martin Dosch <martin@mdosch.de>  Thu, 06 Mar 2025 20:13:00 +0000

gummi (0.8.3+really0.8.3-4) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Bump S-D to 4.7.0.
  * Prepare new upload.

  [ Martin Dosch ]
  * Upload new build to unstable.

 -- Martin Dosch <martin@mdosch.de>  Wed, 09 Oct 2024 22:43:37 +0200

gummi (0.8.3+really0.8.3-3) unstable; urgency=medium

  * d/patches: Add patch to build against gtksourceview-4.
  * d/control: Build-dep on libgtksourceview-4-dev.

 -- Martin Dosch <martin@mdosch.de>  Fri, 02 Aug 2024 20:08:24 +0000

gummi (0.8.3+really0.8.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.7.0.

  [ Martin Dosch ]
  * d/control: Remove Hugo Lefeuvre from uploaders. (Closes: #1050266)

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Apr 2024 21:18:12 -0400

gummi (0.8.3+really0.8.3-1) unstable; urgency=medium

  [ Martin Dosch ]
  * Team Upload.
  * Removed patch to fix typesetter parsing.
  * Change version number to 0.8.3+really0.8.3-1.

  [ Georges Khaznadar ]
  * merged Janitor's changes

 -- Martin Dosch <martin@mdosch.de>  Sun, 11 Jun 2023 16:23:47 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gummi 0.8.3+really0.8.1

=== src/Makefile ===
############################################################################
# NOTE: Releases use autotools, this makefile is for development purposes. #
############################################################################

TARGET=gummi

OBJS = main.o gui/gui-main.o gui/gui-prefs.o gui/gui-menu.o gui/gui-search.o gui/gui-import.o gui/gui-preview.o gui/gui-tabmanager.o gui/gui-project.o gui/gui-snippets.o gui/gui-infoscreen.o compile/texlive.o compile/rubber.o compile/latexmk.o motion.o external.o latex.o editor.o utils.o configfile.o iofunctions.o environment.o project.o importer.o tabmanager.o template.o biblio.o snippets.o signals.o


CFLAGS=-g -Wall  -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE -export-dynamic -I. `pkg-config --cflags --libs gtk+-3.0 gthread-2.0 gtksourceview-3.0 cairo poppler-glib gtkspell3-3.0 synctex zlib` -lm -DUSE_SYNCTEX1 -DGUMMI_LOCALES="\"/usr/share/locale\"" -DGUMMI_DATA="\"$$PWD/../data\"" -DGUMMI_LIBS="\"$$PWD/../lib\""

gummi: $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(CFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

## gummi 0.8.3+really0.8.3

=== src/Makefile ===
############################################################################
# NOTE: Releases use autotools, this makefile is for development purposes. #
############################################################################

TARGET=gummi

OBJS = main.o gui/gui-main.o gui/gui-prefs.o gui/gui-menu.o gui/gui-search.o gui/gui-import.o gui/gui-preview.o gui/gui-tabmanager.o gui/gui-project.o gui/gui-snippets.o gui/gui-infoscreen.o compile/texlive.o compile/rubber.o compile/latexmk.o motion.o external.o latex.o editor.o utils.o configfile.o iofunctions.o environment.o project.o importer.o tabmanager.o template.o biblio.o snippets.o signals.o


CFLAGS=-g -Wall -Wno-deprecated-declarations -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE -export-dynamic -I. `pkg-config --cflags --libs gtk+-3.0 gthread-2.0 gtksourceview-3.0 cairo poppler-glib gtkspell3-3.0 synctex zlib` -lm -DUSE_SYNCTEX2 -DGUMMI_LOCALES="\"/usr/share/locale\"" -DGUMMI_DATA="\"$$PWD/../data\"" -DGUMMI_LIBS="\"$$PWD/../lib\""

gummi: $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(CFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

=== debian/control ===
Source: gummi
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Martin Dosch <martin@mdosch.de>,
Section: tex
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 intltool,
 libglib2.0-dev,
 libgtk-3-dev,
 libgtksourceview-3.0-dev,
 libgtkspell3-3-dev,
 libpoppler-glib-dev,
 libsynctex-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/gummi
Vcs-Git: https://salsa.debian.org/science-team/gummi.git
Homepage: https://github.com/alexandervdm/gummi
Rules-Requires-Root: no

Package: gummi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 texlive-extra-utils,
 texlive-latex-base,
 texlive-xetex,
Description: simple LaTeX editor with live preview
 Gummi is a LaTeX editor based on GTK3.
 The basic features are:
  - Live preview pane for the compiled document,
  - BibTeX integration,
  - Helpers for tables and matrices,
  - Exporting to PDF,
  - Error checking,
  - Syntax highlighting,
  - Spellchecking,
  - Document statistics,
  - Persistent configuration.
